//	Release Version:	$ ODF 2 $
//	Copyright:			(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.

#ifndef FRAME_H
#define FRAME_H

//=======================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//=======================================================================
class CSample2Part;
class DevUniv_STalker;

//=======================================================================
class CSample2Frame : public FW_CFrame {
public:
	FW_DECLARE_AUTO(CSample2Frame)
						CSample2Frame(Environment* ev, 
									ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CSample2Part* sample2Part);
	virtual 			~CSample2Frame();
protected:
// overrides
	virtual void		Draw(Environment* ev, 
							 ODFacet* odFacet, 
							 ODShape* invalidShape);
private:
	DevUniv_STalker*	fSOMTalker;	// SOM object for speech synthesis
};

//=======================================================================
#endif
